<template>
  <navbar></navbar>
  <div class="body">
  <div class="mt-10 sm:mt-10">
    <div class="mr-10 ml-10">
      <div class="md:col-span-1">
        <div class="px-4 sm:px-0">
          <h1 class="text-4xl font-medium leading-10 text-gray-900 text-center">
            Editar Tarea
          </h1>
          <p class="mt-1 text-xl text-gray-600 align-middle text-center">
            Rellene el formulario con los datos a modificar de la tarea
          </p>
        </div>
      </div>

      <div class="mr-20 ml-20 mt-5 md:col-span-2 md:mt-10">
        <form class="" id="form" @submit.prevent="editarTarea()">
          <div class="overflow-hidden shadow sm:rounded-md">
            <div class="bg-white px-4 py-5 sm:p-6">
              <div class="grid grid-cols-6 gap-6">
                <div class="col-span-6 sm:col-span-3" style="display: none">
                  <label
                    for="text"
                    class="block text-sm font-medium text-gray-700"
                    >ID</label
                  >
                  <input
                    required
                    v-model="tarea.tareaId"
                    name="nombreTarea"
                    type="text"
                  />
                </div>
                <div class="col-span-6 sm:col-span-3">
                  <label
                    for="text"
                    class="block text-sm font-medium text-gray-700"
                    >Nombre Tarea</label
                  >
                  <input
                    required
                    v-model="tarea.nombreTarea"
                    name="nombreTarea"
                    type="text"
                  />
                </div>

                <div class="col-span-6 sm:col-span-3">
                  <label
                    for="fecha"
                    class="block text-sm font-medium text-gray-700"
                    >Fecha Inicio</label
                  >
                  <input
                    required
                    v-model="tarea.fechInicio"
                    name="dateInicio"
                    type="date"
                  />
                </div>
                <div class="col-span-6 sm:col-span-3">
                  <label
                    for="fecha"
                    class="block text-sm font-medium text-gray-700"
                    >Fecha Termino</label
                  >
                  <input
                    required
                    v-model="tarea.fechTermino"
                    name="dateTermino"
                    type="date"
                  />
                </div>
                <div class="col-span-6 sm:col-span-3">
                  <label
                    for="time"
                    class="block text-sm font-medium text-gray-700"
                    >Hora Inicio</label
                  >
                  <input
                    required
                    v-model="tarea.horaInicio"
                    name="timeInicio"
                    type="time"
                  />
                </div>
                <div class="col-span-6 sm:col-span-3">
                  <label
                    for="time"
                    class="block text-sm font-medium text-gray-700"
                    >Hora Termino</label
                  >
                  <input
                    required
                    v-model="tarea.horaTermino"
                    name="timeTermino"
                    type="time"
                  />
                </div>

                <div class="col-span-6 sm:col-span-4">
                  <label
                    for="descripcion"
                    class="block text-sm font-medium text-gray-700"
                    >Descripción</label
                  >

                  <textarea
                    required
                    v-model="tarea.descTarea"
                    class="textarea textarea-bordered w-7/12 mt-1 rounded-md h-52"
                    name="descripcionTarea"
                    maxlength="300"
                    placeholder="Descripcion..."
                  ></textarea>
                </div>
              </div>
            </div>
            <div class="bg-gray-50 px-4 py-3 text-right sm:px-6">
              <button
                type="reset"
                class="inline-flex mr-5 justify-center rounded-md border border-transparent bg-error py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-primary focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
              >
                Limpiar
              </button>
              <button
                type="submit"
                class="inline-flex justify-center rounded-md border border-transparent bg-success py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-primary focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
                @click="editarTarea()"
              >
                Guardar Tarea
              </button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
  <div class="hidden sm:block" aria-hidden="true">
    <div class="py-5">
      <div class="border-t border-gray-200"></div>
    </div>
  </div>
</div>
</template>

<script>

import axios from "axios";

import navbar from '../../components/Navbar.vue'
export default {
  components: { navbar },
  name: "crearTarea",
  data() {
    return {
      tarea: {
        tareaId: "",
        nombreTarea: "",
        fechInicio: "",
        fechTermino: "",
        horaInicio: "",
        horaTermino: "",
        descTarea: "",
        estTarea: true,
      },
    };
  },

  mounted() {
    let vue = this;
    const ruta = this.$route.query.tarea_id;
    axios
      .get("tarea/mostrarTarea", {
        headers: {
          Authorization: localStorage.getItem("auth"),
        },
      })
      .then((res) => {
        vue.tarea = res.data;

        vue.tarea.forEach(function (valor, indice, array) {
          if (ruta == res.data[indice].tareaId) {
            console.log(vue.tarea);
            vue.tarea.tareaId = res.data[indice].tareaId;
            vue.tarea.nombreTarea = res.data[indice].nombreTarea;
            vue.tarea.fechInicio = res.data[indice].fechInicio.substring(0, 10);
            vue.tarea.fechTermino = res.data[indice].fechTermino.substring(
              0,
              10
            );
            vue.tarea.horaInicio = res.data[indice].horaInicio;
            vue.tarea.horaTermino = res.data[indice].horaTermino;

            vue.tarea.descTarea = res.data[indice].descTarea;
            vue.tarea.estTarea = res.data[indice].estTarea;
          }
        });
      })

      .catch((err) => console.log(err));
  },

  methods: {
    editarTarea() {

      axios
        .post("tarea/editarTareaDocente", this.tarea)
        .then(
          (res) => alert("Se ha modificado la tarea satisfactoriamente") //, window.location.href = "ListaTareasDocente"//
        )
        .catch((err) => console.log(err));
    },
  },
};
</script>

<style>
.body {
  height: 100vh;
}</style>
